%define major  	0
%define libname %mklibname id3tag %{major}
%define develname %mklibname -d id3tag

Summary:	Library for reading and writing ID3v1 and ID3v2 tags
Name:		libid3tag
Version:	0.15.1b
Release:	%mkrel 9
Source0:	http://downloads.sourceforge.net/mad/%{name}-%{version}.tar.xz
Source1:	id3tag.pc
Patch0:		libid3tag-0.15.1b-gentoo-CVE-2008-2109_fix_overflow.patch
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.underbit.com/products/mad/
BuildRequires:	zlib-devel

%description
A library for reading and (eventually) writing ID3 tags, both ID3v1 and the
various versions of ID3v2.

%package -n %{libname}
Summary:        Library for reading and writing ID3v1 and ID3v2 tags
Group:          System/Libraries

%description -n %{libname}
A library for reading and (eventually) writing ID3 tags, both ID3v1 and the
various versions of ID3v2.

%package -n %develname
Summary:        Development tools for programs which will use the %{name} library
Group:          Development/Libraries
Requires:	%{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       id3tag-devel = %{version}-%{release}
Obsoletes:      %{mklibname -d id3tag 0}

%description -n %develname
This package includes the header files and static libraries
necessary for developing programs using the %{name} library.
 
If you are going to develop programs which will use the %{name} library
you should install this.
 
%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
# this is an invalid locale dir
rm -rf %buildroot/%{_datadir}/locale/en
mkdir -p %buildroot/%_libdir/pkgconfig
sed -e 's#@LIBDIR@#%{_libdir}#' -e 's#@VERSION@#%{version}#' %{SOURCE1} > %buildroot/%_libdir/pkgconfig/id3tag.pc

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc COPYING
%{_libdir}/libid3tag.so.%{major}*

%files -n %develname
%doc COPY* README TODO CHANGES CREDITS
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Tue Sep 19 2017 bb2 <bb2> - 0.15.1b-9pclos2017
- rebuild against updates

* Sat Jul 22 2017 bb2 <bb2> - 0.15.1b-8pclos2017
- rebuild against updates

